<?php
$obj_of_manzi_settings = get_option('manzi_settings'); 
if ($obj_of_manzi_settings) {
  extract($obj_of_manzi_settings);
}

add_action('admin_enqueue_scripts', 'load_admin_things');
add_action('admin_menu', 'initial_setting_menu');

function initial_setting_menu() {
  add_menu_page(BASE_TITLE_AND_MENU_NAME, BASE_TITLE_AND_MENU_NAME, 'manage_options', 'set-basic-manzi', 'banner_manzi_basic_options', '', '1.0');
  add_menu_page(ADDITIONAL_TITLE_AND_MENU_NAME, ADDITIONAL_TITLE_AND_MENU_NAME, 'manage_options', 'set-good-manzi', 'banner_manzi_additional_options', '', '1.1');
  add_action('admin_init', 'register_manzi_setting','admin-head');
}

function load_admin_things() {
  wp_enqueue_script('media-upload');
  wp_enqueue_script('thickbox');
  wp_enqueue_style('thickbox');
}

function register_manzi_setting() {

  /**
   * Post request as MANZI_BASIC_SUBMIT
   */  
  if(isset($_POST[MANZI_BASIC_SUBMIT])) {
    if (!empty($_POST[BLOG_NAME])) {
      update_option(BLOG_NAME, $_POST[BLOG_NAME]);
    }
    if (!empty($_POST[BLOGDESCRIPTION])) {
      update_option(BLOGDESCRIPTION, $_POST[BLOGDESCRIPTION]);
    }
    if (!empty($_POST[META_KEYWORDS])) {
      update_option(META_KEYWORDS, $_POST[META_KEYWORDS]);
    }
    if (!empty($_POST[DEF_IMAGE])) {
      update_option(DEF_IMAGE, $_POST[DEF_IMAGE]);
    }
    /**
     * checked must be complicated bacause value is reveserd to actual meaning
     */
    if (empty($_POST[BLOG_PUBLIC])) {
      update_option(BLOG_PUBLIC, '1');
    }
    else {
      // when post request bloc_public value is 1
      // 1 means no index is true
      update_option(BLOG_PUBLIC, '0');
    }
  }
  
  /**
   * Post request as MANZI_ADDITIONAL_SUBMIT
   */ 
  if(isset($_POST[MANZI_ADDITIONAL_SUBMIT]) ) {
    // input or textarea の name から取れる
    $obj_of_data =  array(
      'google_analytics_code' => $_POST['google_analytics_code'],
      'google_search_console_code' => $_POST['google_search_console_code'],
      // senitizeをするとぶっ飛ぶので、そのまんま保存している
      'page_layout' => sanitize_text_field(empty($_POST['page_layout']) ? RIGHT_CONTENT : $_POST['page_layout']),
    );
    // 1レコードで保存したいため、連想配列にして、1レコードで保存している
    update_option( 'manzi_settings', $obj_of_data );

  }
  // update .htaccess
  flush_rewrite_rules( true );
}


/**
 * 管理画面にまんじテーマの設定画面を表示するコールバック関数
 */
function banner_manzi_basic_options() {
?>
<script type="text/javascript">
// よく分からんのだが、なんかimg系をフロントでいじってる感じかね
jQuery('document').ready(function(){
    jQuery('.media-upload').each(function(){
        var rel = jQuery(this).attr("rel");
        jQuery(this).click(function(){
            window.send_to_editor = function(html) {
                html = '<a>' + html + '</a>';
                imgurl = jQuery('img', html).attr('src');
                jQuery('#'+rel).val(imgurl);
                tb_remove();
            }
            formfield = jQuery('#'+rel).attr('name');
            tb_show(null, 'media-upload.php?post_id=0&type=image&TB_iframe=true');
            return false;
        });
    });
});
</script>

<div class="wrap">
  <form method="post" enctype="multipart/form-data" encoding="multipart/form-data">
    <section>
      <div class="metabox-holder">
        <div id="toppage_meta_setting" class="postbox " >
          <h3 class='hndle'><span>トップページのメタタグの設定</span></h3>
          <div class="inside">
            <div class="main">
              <section>
                <h4>トップページタイトル</h4>
                <p><input type="text" id="blogname" class="regular-text" name="blogname" value="<?php echo get_option('blogname'); ?>"></p>
                <p class="setting_description">
                  <small>トップページのタイトルを入力して下さい。ここに入力した内容が検索エンジンにも表示されるようになります。</small>
                </p>
              </section>
              <section>
                <h4>トップページの説明（メタディスクリプション）</h4>
                <textarea id="blogdescription" class="regular-text" name="blogdescription" rows="5" cols="60"><?php echo get_option('blogdescription'); ?></textarea>
                <p class="setting_description"><small>トップページの説明文を全角80文字以内で入力してください。ここに入力した内容が検索エンジンのディスクリプション欄に表示されるようになります。</small></p>
              </section>
              <section>
                <h4>メタキーワード</h4>
                <input type="text" id="meta_keywords" class="regular-text" name="meta_keywords" value="<?php echo get_option('meta_keywords'); ?>">
                <p class="setting_description"><small>トップページで対策したいキーワードを入力して下さい。メタキーワードは現在SEOには影響力はありませんが、キーワードに対する理解を深めるためにも、メタキーワードは常に意識しておきましょう。</small></p>
              </section>
            
              </div>
          </div>
        </div>
      </div>
    </section>
    <section>
      <div class="metabox-holder">
        <div id="facebook_connection" class="postbox">
          <h3 class='hndle'><span>OGP画像設定</span></h3>
          <div class="inside">
            <div class="main">
            <h4>デフォルト画像の設定</h4>
            <input type="text" id="def_image" name="def_image" class="regular-text" value="<?php echo get_option('def_image');?>" /><a class="media-upload" href="JavaScript:void(0);" rel="def_image"><input class="cmb_upload_button button" type="button" value="画像をアップロードする" /></a>
            <p class="setting_description">
              <small>サイトがシェアされた時に表示させたい画像を選択してアップロードボタンを押してください。サイトのトップページや、その他アイキャッチ画像が設定されていないページがシェアされた時には、ここのアップロードした画像が、SNS上で表示されるようになります。画像のサイズは、1200 px x 630 pxが最も綺麗に表示されます。</small>
            </p>
            </div>
          </div>
        </div>
      </div>
    </section>
    <section>
      <div class="metabox-holder">
        <div id="toppage_logo_setting" class="postbox">
          <div class="inside">
            <div class="main">
              <h3>検索エンジンへのインデックス</h3>
              <label for="blog_public"><input name="blog_public" type="checkbox" id="blog_public" value="1" <?php checked(get_option('blog_public'), 0);?> />
              検索エンジンがサイトをインデックスしないようにする</label>
            </div>
          </div>
        </div>
      </div>
    </section>
    <?php submit_button('保存', 'primary', MANZI_BASIC_SUBMIT); ?>
  </form>
</div>
<?php 
}

/**
 * 管理画面にまんじテーマの追加設定画面を表示するコールバック関数
 * functions.phpで登録していたんだけど、なんかうまく動かないからこっちに移動した
 */
function banner_manzi_additional_options() {
  ?>
  <div class="manzi-container">
    <h1 id="top-h1">manzibnbの追加設定</h1>
    <hr>
    <div class="container">  
      <form method="post" enctype="multipart/form-data" encoding="multipart/form-data" onsubmit="setMarkAboutForm();";>
        <?php
        // Required
        $manzi_settings = get_option('manzi_settings');
        if ($manzi_settings && isset($manzi_settings)) {
          extract($manzi_settings);
        }
        ?>
        
        <section>
          <h2>Google関連ツール登録</h2>
          <h3><i class="fas fa-diagnoses"></i>Googleアナリティクスの設定</h3>
          <p>アナリティクスコードが登録できれば、サーチコンソールの連携も楽です。</p>
          <?php
            $registerd_google_analytics_code = isset($google_analytics_code) ?  remove_escaped_tag($google_analytics_code) : '';
            $google_analytics_code_textarea_elements = '
              <textarea name="google_analytics_code" rows="10" cols="60" id="analytics_tracking_code" class="cmb_textarea_code">'.$registerd_google_analytics_code.'</textarea>';
            echo $google_analytics_code_textarea_elements;
          ?>
          <p class="setting_description">
            <small>※Googleアナリティクスのコードをコピペしてください。</small>
          </p>
          <h3><i class="fas fa-chart-line"></i>Googleウェブマスターツールの設定</h3>
          <textarea name="google_search_console_code" rows="10" cols="60" id="webmaster_tool" class="cmb_textarea_code"><?php echo isset($google_search_console_code) ? remove_escaped_tag($google_search_console_code) : ''; ?></textarea>
          <p class="setting_description">
            <small>※Googleウェブマスターツールのコードをコピペしてください。<br>Googleアナリティクスコードを設定している場合、設定せずにサーチコンソール連携ができます。</small>
          </p>
        </section>
        <hr>

        <section>
          <h2><i class="far fa-file"></i>ページレイアウト</h2>
          <p>※デフォルトは右側にサイドバー、左側にコンテンツが表示されます</p>
            <?php echo $page_layout == LEFT_CONTENT ? '保存されている設定: サイドバー右' : '保存されている設定: サイドバー左'; ?>
          <ul>
            <li>
            <input type="radio" name="page_layout" id="post_layout1" value="<?php echo LEFT_CONTENT;?>" <?php echo ($page_layout == LEFT_CONTENT) ? 'checked' : '';?> />
            <label for="post_layout1"><?php echo "左側に記事を表示";?></label>
            </li>
            <li>
            <input type="radio" name="page_layout" id="post_layout2" value="<?php echo RIGHT_CONTENT;?>" <?php echo ($page_layout == RIGHT_CONTENT) ? 'checked' : '';?> />
            <label for="post_layout2"><?php echo "右側に記事を表示";?></label>
            </li>
          </ul>
        </section>
        <hr>

        <?php submit_button(SAVE, PRIMARY, MANZI_ADDITIONAL_SUBMIT); ?>
      </form>
    </div>
  </div>
  <script>
    <?php
      // 順序: submitされる → LocalStorageにvalue保存 → リロードされる → LocalStorageにvalueが保存されているので、削除とalertの表示を行う
    ?>
    const IS_SUBMITTED_FOR_MANZI = 'isSubmittedForManzi';
    /**
     * localStorage に isSubmittedForManzi があれば(フォームで保存した後なら)メッセージを表示する
     */
    const displayMessageAfterSubmitted = () => {
        if ( window.localStorage.getItem(IS_SUBMITTED_FOR_MANZI) ) {
            window.localStorage.removeItem(IS_SUBMITTED_FOR_MANZI);
            const headerOne = window.document.getElementById('top-h1');
            let messageBox = document.createElement('div');
            let pTagList = [document.createElement('p'), document.createElement('p')];
            pTagList[0].innerText = 'You are GREAT!!';
            pTagList[1].innerText = '変更に成功しました!!!!!';
            messageBox.classList.add('manzi-alert-success-pink');
            for (const pElement of pTagList) {
              pElement.classList.add('manzi-my-0');
              messageBox.appendChild(pElement);
            }
            headerOne.after(messageBox);
        }      
    }; 

    <?php
    /**
     * 設定 form で submit したあとに localStorage に isSubmittedForManzi を保存する
     */
    ?>
    const setMarkAboutForm = () => {
        window.localStorage.setItem(IS_SUBMITTED_FOR_MANZI, true);
    };

    // ページがリロードされるたびに呼び出される
    displayMessageAfterSubmitted();

  </script>
<?php
}
?>
