<?php
/**
 * @param int $post_id
 * @param int $article_count
 * @return string|''
 */
function get_related_same_category_articles($post_id, $article_count = 8) {

    $category_id_list = array();

    if(has_category('', $post_id)) {
        $category_list = get_the_category($post_id);
        foreach($category_list as $category){
            $category_id_list[] = $category->term_id;
        }
    }

    $args = array(
        'post_type' => 'post',
        'posts_per_page' => $article_count,
        'post__not_in' => array($post_id), 
        'category__in' => $category_id_list,
        'orderby' => 'rand'
    );

    $related_query = new WP_Query($args);

    $return_elements = '
        <div class="px-0 mb-4">
            <h2 class="fw-bolder fs-4 my-3 lh-base">関連記事</h2>
                <div class="row">
    ';

 
    while ( $related_query->have_posts() ) : $related_query->the_post();
        $post_title = get_the_title();
        if ($post_title) {
            $return_elements .= get_article_card();
        }

    endwhile;

    wp_reset_postdata();

    $return_elements .= '
                </div>
        </div>
    ';

    return $return_elements;

}
?>
