<?php
register_nav_menu('global_nav', 'グローバルナビ（ヘッダー領域下に表示）');

register_sidebar(array(
  'name'          => 'サイドバー',
  'id'            => 'sidebar',
  'description'   => 'サイドバーに入るウィジェットエリアです。',
  'before_widget' => '<div id="%1$s" class="%2$s side-widget mb-5"><div class="side-widget-inner">',
  'after_widget'  => '</div></div>',
  'before_title'  => '<h4 class="side-title"><span class="side-title-inner">',
  'after_title'   => '</span></h4>'
));

add_theme_support('post-thumbnails');

if( !function_exists('get_pagination') ){
  function get_pagination($pages = '', $range = 4){
    $showitems = ($range * 2)+1;

    global $paged;

    if(empty($paged) ){
      $paged = 1;
    }

    if( $pages == '' ){
      global $wp_query;
      $pages = $wp_query->max_num_pages;
      if(!$pages){
        $pages = 1;
      }
    }

    $pagination_as_html = '';

    if(1 != $pages){
      $pagination_as_html .= '<div class="manzibnb-pagination-button">';
      if( $paged > 2 && $paged > $range+1 && $showitems < $pages ){
        $pagination_as_html .= "<a href='".get_pagenum_link(1)."'><i class='fa fa-angle-double-left'></i></a>";
      }
      if( $paged > 1 && $showitems < $pages ){
        $pagination_as_html .= "<a href='".get_pagenum_link($paged - 1)."'><i class='fa fa-angle-left'></i></a>";
      }
      for ( $i=1; $i <= $pages; $i++ ){
        if ( 1 != $pages && ( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ) ){
          $pagination_as_html .= ($paged == $i)? "<span class=\"manzibnb-pagination-button manzi-pagination-current\">".$i."</span>":"<a href='".get_pagenum_link($i)."' class=\"manzibnb-pagination-button manzi-pagination-inactive manzi-text-color-base text-decoration-none\">" . $i . "</a>";
        }
      }

      if ( $paged < $pages && $showitems < $pages ){
        $pagination_as_html .= '<a href="'.get_pagenum_link($paged + 1).'"><i class="fa fa-angle-right"></i></a>';
      }
      if ( $paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages ){
        $pagination_as_html .=  "<a href='".get_pagenum_link($pages)."'><i class='fa fa-angle-double-right'></i></a>";
      }
      $pagination_as_html .= "</div>";
    }

    return $pagination_as_html;
  }
}
