<?php
const FIRST_CATEGORY_NUMBER = 0;

/**
 * return top page or archive page main content by using grid
 * @param $wp-query: passed from top page index.php
 * @param $type: "top" or "archive"
 * @return string $top page main content html
 */
function get_top_page_main_content($wp_query, string $type): string {

    $html_to_be_drawed = '';

    if ($type === "archive") {
        $page_title_as_html = get_page_title();
        $html_to_be_drawed .= '
        <div class="mb-4">
            <h1 class="fw-bold fs-2 lh-base text-center">
                '.$page_title_as_html.'
            </h1>
        </div>
        ';
    }

    $html_to_be_drawed .= '<div class="row">';

    if ( have_posts() ) :
        while ( have_posts() ) : the_post();            
            $html_to_be_drawed .= get_article_card();
        endwhile;
    else:   
        $html_to_be_drawed .= '
            <article id="post-404" class="cotent-none col-12 mb-4">
                <section class="manzibnb-content">
                    '.get_none_content_by_strategy().'
                </section>
            </article>
        ';
    endif;

    $html_to_be_drawed .= '</div>';

    $pagination_html = function_exists("get_pagination") ? ('
        <div class="mb-5">
            '.get_pagination($wp_query->max_num_pages).'
        </div>
    ') : '<div class="d-none"></div>';

    $html_to_be_drawed .= $pagination_html;

    return $html_to_be_drawed;
}

/**
 * return single and fixed page main content article part
 * @param $wp-page_type: "page" | "post"
 * @return string $top page main content html
 */
function get_main_content($page_type) {
    $html = '';

    if (have_posts()):
      while (have_posts()) : the_post();
        global $post;
        $id = $post->ID; // This $post means both page and post
        $page_title = get_the_title();
        $the_time_as_html = get_the_time('Y/m/d');
        $the_modified_data_as_html = get_the_modified_date('Y/m/d');
        $thumb_img_full_as_html = get_the_post_thumbnail() ? get_thumb_img('full') : D_NONE_DIV_ELEMENT;
        $category_links_as_html = get_category_link_as_html_of_post($id);

        $html .= '
            <article id="'.$page_type.'-'.$id.'">
                <div class="manzibnb-content mb-4">
                    <div class="mb-2">
                        '.get_page_title_as_html($page_title).'
                    </div>
                    <div>
                        '.$thumb_img_full_as_html.'
                    </div>
                    <div class="mb-1">
                        <ul class="list-group justify-content-start justify-content-md-end list-group-horizontal flex-wrap ps-0">
                            <li class="list-group-item bg-transparent manzi-text-color-base small my-0 ps-0 pe-1 border-0">'.$the_time_as_html.'</li>
                            <li class="list-group-item bg-transparent manzi-text-color-base small my-0 ps-0 pe-0 border-0">'.$the_modified_data_as_html.'</li>
                        </ul>
                    </div>
                    <div>
                        '.do_shortcode(get_the_content()).'
                    </div>
                </div>
                <div class="mb-4">
                    <div class="mb-3">
                    '.$category_links_as_html.'
                    </div>
                    '.get_sns_share_buttons(get_permalink()).'
                    '.($page_type === "post" ? get_related_same_category_articles($post->ID) : "").'
                </div>
            </article>
        ';
        endwhile;
    else:
        $html = NOT_FOUND_ARTICLE;
    endif;

    return $html;
}

?>
