<?php
// Meta fields setting in page and post page
add_action('save_post', 'save_manzi_meta');
function save_manzi_meta($post_id) {
  global $post;
  if( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ){
    return $post_id;
  }
  ( isset($_POST['manzi_meta_keywords']) ) ? update_post_meta($post->ID, 'manzi_meta_keywords', $_POST['manzi_meta_keywords']) : "";
  ( isset($_POST['manzi_meta_description']) ) ? update_post_meta($post->ID, 'manzi_meta_description', str_replace(array("\r\n","\r","\n"), '', $_POST['manzi_meta_description'])) : "";
  ( isset($_POST['manzi_meta_robots']) ) ? update_post_meta($post->ID, 'manzi_meta_robots', $_POST['manzi_meta_robots']) : "";
  ( isset($_POST[BEFORE_CLOSE_HEAD_TAG]) ) ? update_post_meta($post->ID, BEFORE_CLOSE_HEAD_TAG, $_POST[BEFORE_CLOSE_HEAD_TAG]) : "";
}

add_action('add_meta_boxes', 'add_manzi_meta_tags');
function add_manzi_meta_tags() {
  add_meta_box('manzi_meta_tags', 'メタタグを設定', 'manzi_meta_tags', 'post', 'normal', 'high');
  add_meta_box('manzi_meta_tags', 'メタタグを設定', 'manzi_meta_tags', 'page', 'normal', 'high');
}

// Html is outputed on bottom of psot and page
function manzi_meta_tags() {
  global $post;

  $metarobots_array = array();
  $metarobots_array = get_post_meta($post->ID, 'manzi_meta_robots', true);
?>
  <h4>メタディスクリプション</h4>
  <p>
    <small>
      この記事の要約を書いてください。検索結果タイトル下に表示されることが多いです。
    </small>
  </p>
  <textarea name="manzi_meta_description" id="manzi_meta_description" cols="60" rows="4"><?php echo get_post_meta($post->ID, 'manzi_meta_description', true); ?></textarea>
  <br>
  <span class="count_description">
  </span>文字 
  <br>
  <small>※全角120文字以内推奨</small>
  <h4>メタキーワード</h4>
  <p>
    <small>
      この記事で対策するキーワードを入力します。1記事1キーワードの推奨します。<br>
      複数指定する場合には、(,)で区切ってください。
    </small>
  </p>
  <input type="text" class="regular-text" name="manzi_meta_keywords" id="manzi_meta_keywords" value="<?php echo get_post_meta($post->ID, 'manzi_meta_keywords', true); ?>" />
  <h4>メタロボット</h4>
  <ul>
    <li>
      <input type="hidden" name="manzi_meta_robots[]" value="">
      <label for="manzi_meta_robots1"><input class="cmb_option" type="checkbox" name="manzi_meta_robots[]" id="manzi_meta_robots1" value="noindex"  <?php echo ( is_array($metarobots_array) && in_array('noindex', $metarobots_array) ) ? 'checked' : '';?> /> noindex</label>
    </li>
    <li>
      <input type="hidden" name="manzi_meta_robots[]" value="">
      <label for="manzi_meta_robots2"><input class="cmb_option" type="checkbox" name="manzi_meta_robots[]" id="manzi_meta_robots2" value="nofollow" <?php echo ( is_array($metarobots_array) && in_array('nofollow', $metarobots_array) ) ? 'checked' : '';?>  /> nofollow</label>
    </li>
  </ul>
<?php
}


add_action('add_meta_boxes', 'add_manzi_post_and_page_original_tag');
function add_manzi_post_and_page_original_tag() {
  add_meta_box('the_manzi_post_original_tag_asset', 'ページ固有のJavascript/CSS', 'the_manzi_post_original_tag_asset', 'post', 'normal', 'low');
  add_meta_box('the_manzi_post_original_tag_asset', 'ページ固有のJavascript/CSS', 'the_manzi_post_original_tag_asset', 'page', 'normal', 'low');
}
function the_manzi_post_original_tag_asset() {
  global $post;
?>
<h4>&lt;/head>タグ直前に書かれるタグ</h4>
<p><small>&lt;/head>タグ直前に書かれるJSやCSSなどのタグを入力してください。タグで閉じられていないと表示されません。</small></p>
<pre><textarea name=<?php echo BEFORE_CLOSE_HEAD_TAG;?> id="<?php echo BEFORE_CLOSE_HEAD_TAG;?>" cols="100" rows="10" class="cmb_textarea_code"><?php echo get_post_meta($post->ID, BEFORE_CLOSE_HEAD_TAG, true);?></textarea></pre>
<?php
}
