<?php
function get_user_profile($username, $shois, $self_introduction, $user_profile_image_url, $twitter_url, $line_at_url, $instagram_url, $youtube_url) {
    $is_required_fields_not_empty = empty($username) or empty($whois) or empty($self_introduction) or empty($user_profile_image_url);
    if ($is_required_fields_not_empty) return '';

    $twitter_url_as_html = empty($twitter_url) ? D_NONE_DIV_ELEMENT : get_sns_rounded_icon($twitter_url, 'twitter');
    $instagram_url_as_html = empty($instagram_url) ? D_NONE_DIV_ELEMENT : get_sns_rounded_icon($instagram_url, 'instagram');
    $line_at_url_as_html = empty($line_at_url) ? D_NONE_DIV_ELEMENT : get_sns_rounded_icon($line_at_url, 'line');
    $youtube_url_as_html = empty($youtube_url) ? D_NONE_DIV_ELEMENT : get_sns_rounded_icon($youtube_url, 'youtube');

    $t = html_entity_decode(html_entity_decode($self_introduction));

    $user_profile_html = '
    <section class="mx-auto px-2">
        <img id="manzibnb-profile-image" class="d-flex mx-auto rounded-circle" src="'.$user_profile_image_url.'">
        <div class="pt-3 pb-1 text-center fw-bold fs-6">'.$username.'</div>
        <div class="pb-3 text-center fw-bold fs-6">'.$shois.'</div>
        <div id="manzibnb-sidebar-self-introduction" class="mb-2">
            '.html_entity_decode(html_entity_decode($self_introduction)).'
        </div>
        <div class="d-flex justify-content-center">
            <div class="d-flex">
                '.$twitter_url_as_html.'
                '.$instagram_url_as_html.'
                '.$line_at_url_as_html.'
                '.$youtube_url_as_html.'
            </div>
        </div>
    </section>
    ';

    return $user_profile_html;
}
?>
